设为首页收藏本站返回主页

Ubuntu Kylin技术论坛

 找回密码
 立即注册
搜索
查看: 94|回复: 4

Sougou IME not compatible with fcitx under 4.13.* kernel Debian

[复制链接]
  • TA的每日心情
    郁闷
    7 天前
  • 签到天数: 1 天

    [LV.1]初来乍到

    参加活动: 0

    组织活动: 0

    发表于 7 天前 | 显示全部楼层 |阅读模式
    System: Kali GNU/Linux Rolling
    Kernel: 4.13.0-kali1-amd64 #1 SMP Debian 4.13.4-1kali1 (2017-10-03) x86_64 GNU/Linux
    Error in dpkg:
    1. dpkg: 依赖关系问题使得 sogoupinyin 的配置工作不能继续:
    2. sogoupinyin 依赖于 libopencc2 | libopencc1;然而:
    3.   未安装软件包 libopencc2。
    4.   未安装软件包 libopencc1。
    5. sogoupinyin 依赖于 fcitx-libs (>= 4.2.7);然而:
    6.   未安装软件包 fcitx-libs。
    7. sogoupinyin 依赖于 fcitx-libs-qt (>= 4.2.7);然而:
    8.   未安装软件包 fcitx-libs-qt。

    9. dpkg: 处理软件包 sogoupinyin (--install)时出错:
    10. 依赖关系问题 - 仍未被配置

    11. -----

    12. 没有可用的软件包 fcitx-libs,但是它被其它的软件包引用了。
    13. 这可能意味着这个缺失的软件包可能已被废弃,
    14. 或者只能在其他发布源中找到
    15. 然而下列软件包会取代它:
    16.   libfcitx-utils0 libfcitx-core0 libfcitx-config4

    17. 没有可用的软件包 fcitx-libs-qt,但是它被其它的软件包引用了。
    18. 这可能意味着这个缺失的软件包可能已被废弃,
    19. 或者只能在其他发布源中找到
    20. 然而下列软件包会取代它:
    21.   libfcitx-qt0

    22. E: 软件包 fcitx-libs 没有可安装候选
    23. E: 软件包 fcitx-libs-qt 没有可安装候选

    复制代码

    ** My Kali was configured long time ago with Chinese support and Sougou Pinyin. However, it has been automatically removed during the latest distribution upgrade. The apt says the "fcitx-libs" was replaced by libfcitx-qt0.

    Please fix this problem, thank you.
    回复

    使用道具 举报

  • TA的每日心情
    郁闷
    7 天前
  • 签到天数: 1 天

    [LV.1]初来乍到

    参加活动: 0

    组织活动: 0

     楼主| 发表于 7 天前 | 显示全部楼层
    Update: I fixed the dependencies error for newer version of fcitx:
    1. mkdir tmp
    2. dpkg-deb -R sogoupinyin_2.1.0.0086_amd64.deb tmp
    3. vi tmp/DEBIAN/control
    复制代码
    and replace Depends with :
    1. fcitx (>= 1:4.2.8.3-3~), fcitx-frontend-gtk2, fcitx-frontend-gtk3, fcitx-frontend-qt4, fcitx-module-kimpanel, im-config, libopencc2 | libopencc1, lsb-release, unzip, x11-utils, libfcitx-utils0 (>= 4.2.7), libfcitx-core0 (>= 4.2.7), libfcitx-config4 (>= 4.2.7), libfcitx-qt0 (>= 4.2.7), libc6 (>= 2.8), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.16.0), libidn11 (>= 1.13), libnotify4 (>= 0.7.0), libqt4-dbus (>= 4:4.8.0), libqt4-declarative (>= 4:4.8.0), libqt4-network (>= 4:4.8.0), libqtcore4 (>= 4:4.8.0), libqtgui4 (>= 4:4.8.0), libstdc++6 (>= 4.6), libx11-6, zlib1g (>= 1:1.2.0)
    复制代码
    Note that the libs from fcitx has been fixed.
    Save the file and then
    1. dpkg-deb -b tmp/ sogoupinyin-fixed.deb
    2. dpkg -i
    复制代码
    and complete the install, then reboot.
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    郁闷
    7 天前
  • 签到天数: 1 天

    [LV.1]初来乍到

    参加活动: 0

    组织活动: 0

     楼主| 发表于 7 天前 | 显示全部楼层
    妈的智障fcitx,终于修好了……
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    昨天 09:15
  • 签到天数: 760 天

    [LV.10]以坛为家III

    参加活动: 0

    组织活动: 0

    发表于 7 天前 | 显示全部楼层
    英语可以的!
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    慵懒
    昨天 17:19
  • 签到天数: 550 天

    [LV.9]以坛为家II

    参加活动: 0

    组织活动: 0

    发表于 6 天前 | 显示全部楼层
    我以为来了个老外呢。
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    Archiver|手机版|小黑屋|Ubuntu Kylin    

    GMT+8, 2017-10-19 02:26 , Processed in 0.054589 second(s), 27 queries .

    Powered by Discuz! X3.2

    © 2001-2013 Comsenz Inc.

    快速回复 返回顶部 返回列表